org.jCharts.axisChart

## Class ScatterPlotAxisChart

- java.lang.Object
- - org.jCharts.Chart
  - - org.jCharts.axisChart.AxisChart
    - - org.jCharts.axisChart.ScatterPlotAxisChart

All Implemented Interfaces:
  Serializable, HTMLChartTestable

    public class ScatterPlotAxisChart
    extends AxisChart
    implements HTMLChartTestable

This Class is used to create all axis chart types. This class knows how to render charts based on the ChartType specified in on the iAxisChartDataSet.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jCharts.axisChart.AxisChart

`axisProperties, xAxis, yAxis`

### Constructor Summary

Constructors
Constructor and Description
`ScatterPlotAxisChart(IScatterPlotDataSeries iScatterPlotDataSeries, ChartProperties chartProperties, AxisProperties axisProperties, LegendProperties legendProperties, int pixelWidth, int pixelHeight)` Constructor

### Method Summary

Methods
`AxisChartDataProcessor` `createAxisChartDataProcessor()` ScatterPlots create a subclass of AxisChartDataProcessor so we need this method so we can overload it.
`protected void` `deriveAxisValues()`
`protected void` `overlayCharts()` Draws the charts over the axis.
`protected void` `setupAxis(AxisChartDataProcessor axisChartDataProcessor, FontRenderContext fontRenderContext)`
`protected NumericTagGroup` `setupDataAxisProperties(Axis axis, DataAxisProperties dataAxisProperties, AxisChartDataProcessor axisChartDataProcessor, FontRenderContext fontRenderContext)` Once we determine which axis is the data axis, the logic to set it up is the same whether it is a horizontal or vertical plot.
`void` `toHTML(HTMLGenerator htmlGenerator, String imageFileName, ImageMap imageMap)` Enables the testing routines to display the contents of this Object.

### Methods inherited from class org.jCharts.axisChart.AxisChart

`getAxisProperties, getIAxisDataSeries, getXAxis, getYAxis, renderChart`

### Methods inherited from class org.jCharts.Chart

`getBufferedImage, getChartProperties, getGenerateImageMapFlag, getGraphics2D, getImageHeight, getImageMap, getImageWidth, getLegend, hasLegend, render, renderChartTitle, renderWithImageMap, setGraphics2D, setImageMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScatterPlotAxisChart

    public ScatterPlotAxisChart(IScatterPlotDataSeries iScatterPlotDataSeries,
                        ChartProperties chartProperties,
                        AxisProperties axisProperties,
                        LegendProperties legendProperties,
                        int pixelWidth,
                        int pixelHeight)

Constructor

Parameters:
  `iScatterPlotDataSeries` -
  `chartProperties` -
  `axisProperties` -
  `legendProperties` - if no legend is desired, pass NULL
  `pixelWidth` -
  `pixelHeight` -

### Method Detail

#### createAxisChartDataProcessor

    public AxisChartDataProcessor createAxisChartDataProcessor()

ScatterPlots create a subclass of AxisChartDataProcessor so we need this method so we can overload it.

Overrides:
  `createAxisChartDataProcessor` in class `AxisChart`
Returns:
  AxisChartDataProcessor

#### setupDataAxisProperties

    protected NumericTagGroup setupDataAxisProperties(Axis axis,
                                          DataAxisProperties dataAxisProperties,
                                          AxisChartDataProcessor axisChartDataProcessor,
                                          FontRenderContext fontRenderContext)

Once we determine which axis is the data axis, the logic to set it up is the same whether it is a horizontal or vertical plot.

Overrides:
  `setupDataAxisProperties` in class `AxisChart`
Parameters:
  `dataAxisProperties` -
  `axisChartDataProcessor` -
  `fontRenderContext` -
Returns:
  NumericTagGroup need to set this on the right axis

#### setupAxis

    protected void setupAxis(AxisChartDataProcessor axisChartDataProcessor,
                 FontRenderContext fontRenderContext)

Overrides:
  `setupAxis` in class `AxisChart`
Parameters:
  `axisChartDataProcessor` -
  `fontRenderContext` -

#### deriveAxisValues

    protected void deriveAxisValues()

Overrides:
  `deriveAxisValues` in class `AxisChart`

#### overlayCharts

    protected void overlayCharts()
                          throws PropertyException

Draws the charts over the axis. We have to render in a specific order so combo charts get drawn correctly

Overrides:
  `overlayCharts` in class `AxisChart`
Throws:
  `PropertyException`

#### toHTML

    public void toHTML(HTMLGenerator htmlGenerator,
              String imageFileName,
              ImageMap imageMap)

Enables the testing routines to display the contents of this Object. Override Chart implementation as PieCharts use AreaProperties directly rather than a child.

Specified by:
  `toHTML` in interface `HTMLChartTestable`
Overrides:
  `toHTML` in class `AxisChart`
Parameters:
  `htmlGenerator` -
  `imageFileName` -
  `imageMap` - if this is NULL we are not creating image map data in html